com.creamtec.ajaxswing.gui.peer

## Class AjaxSwingFramePeer

- java.lang.Object
- - com.creamtec.ajaxswing.gui.peer.AjaxSwingComponentPeer
  - - com.creamtec.ajaxswing.gui.peer.AjaxSwingContainerPeer
    - - com.creamtec.ajaxswing.gui.peer.AjaxSwingWindowPeer
      - - com.creamtec.ajaxswing.gui.peer.AjaxSwingFramePeer

- All Implemented Interfaces:
    java.awt.peer.ComponentPeer, java.awt.peer.ContainerPeer, java.awt.peer.FramePeer, java.awt.peer.WindowPeer

      public class AjaxSwingFramePeer
      extends AjaxSwingWindowPeer
      implements java.awt.peer.FramePeer

- - ### Field Summary

    - ### Fields inherited from interface java.awt.peer.ComponentPeer

      `DEFAULT_OPERATION, NO_EMBEDDED_CHECK, RESET_OPERATION, SET_BOUNDS, SET_CLIENT_SIZE, SET_LOCATION, SET_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSwingFramePeer(java.awt.Frame frame)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `emulateActivation(boolean activate)`
    `java.awt.Rectangle` | `getBoundsPrivate()`
    `int` | `getState()`
    `void` | `setBoundsPrivate(int x, int y, int width, int height)`
    `void` | `setIconImage(java.awt.Image im)`
    `void` | `setMaximizedBounds(java.awt.Rectangle bounds)`
    `void` | `setMenuBar(java.awt.MenuBar mb)`
    `void` | `setResizable(boolean resizeable)`
    `void` | `setState(int state)`
    `void` | `setTitle(java.lang.String title)`
    `void` | `show()`

    - ### Methods inherited from class com.creamtec.ajaxswing.gui.peer.AjaxSwingWindowPeer

      `getMyThread, handleFocusTraversalEvent, hide, repositionSecurityWarning, requestWindowFocus, setAlwaysOnTop, setBounds, setModalBlocked, setOpacity, setOpaque, toBack, toFront, updateAlwaysOnTop, updateAlwaysOnTopState, updateFocusableWindowState, updateIconImages, updateMinimumSize, updateWindow, updateWindow`

    - ### Methods inherited from class com.creamtec.ajaxswing.gui.peer.AjaxSwingContainerPeer

      `beginLayout, beginValidate, cancelPendingPaint, endLayout, endValidate, getInsets, insets, isPaintPending, isRestackSupported, restack`

    - ### Methods inherited from class com.creamtec.ajaxswing.gui.peer.AjaxSwingComponentPeer

      `applyShape, canDetermineObscurity, checkImage, coalescePaintEvent, createBuffers, createDelegate, createImage, createImage, createVolatileImage, destroyBuffers, disable, dispose, enable, flip, flip, getAppropriateGraphicsConfiguration, getBackBuffer, getBounds, getColorModel, getDelegate, getDelegateComponent, getFontMetrics, getGraphics, getGraphicsConfiguration, getImage, getLocationOnScreen, getMinimumSize, getPreferredSize, getTarget, getToolkit, handleEvent, handlesWheelScrolling, isFocusable, isFocusTraversable, isObscured, isReparentSupported, layout, minimumSize, paint, preferredSize, prepareImage, print, repaint, reparent, requestFocus, requestFocus, requestFocus, reshape, setBackground, setBounds, setBounds, setCursor, setDelegate, setDelegateComponent, setEnabled, setFont, setForeground, setTarget, setVisible, setZOrder, updateCursorImmediately, updateGraphicsData`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.awt.peer.WindowPeer

      `repositionSecurityWarning, setModalBlocked, setOpacity, setOpaque, toBack, toFront, updateAlwaysOnTopState, updateFocusableWindowState, updateIconImages, updateMinimumSize, updateWindow`

    - ### Methods inherited from interface java.awt.peer.ContainerPeer

      `beginLayout, beginValidate, endLayout, endValidate, getInsets`

    - ### Methods inherited from interface java.awt.peer.ComponentPeer

      `applyShape, canDetermineObscurity, checkImage, coalescePaintEvent, createBuffers, createImage, createImage, createVolatileImage, destroyBuffers, dispose, flip, getBackBuffer, getColorModel, getFontMetrics, getGraphics, getGraphicsConfiguration, getLocationOnScreen, getMinimumSize, getPreferredSize, getToolkit, handleEvent, handlesWheelScrolling, isFocusable, isObscured, isReparentSupported, layout, paint, prepareImage, print, reparent, requestFocus, setBackground, setBounds, setEnabled, setFont, setForeground, setVisible, setZOrder, updateCursorImmediately, updateGraphicsData`

- - ### Constructor Detail

    - #### AjaxSwingFramePeer

          public AjaxSwingFramePeer(java.awt.Frame frame)

  - ### Method Detail

    - #### show

          public void show()

      Overrides:
        `show` in class `AjaxSwingWindowPeer`

    - #### setTitle

          public void setTitle(java.lang.String title)

      Specified by:
        `setTitle` in interface `java.awt.peer.FramePeer`

    - #### setIconImage

          public void setIconImage(java.awt.Image im)

    - #### setMenuBar

          public void setMenuBar(java.awt.MenuBar mb)

      Specified by:
        `setMenuBar` in interface `java.awt.peer.FramePeer`

    - #### setResizable

          public void setResizable(boolean resizeable)

      Specified by:
        `setResizable` in interface `java.awt.peer.FramePeer`

    - #### setState

          public void setState(int state)

      Specified by:
        `setState` in interface `java.awt.peer.FramePeer`

    - #### getState

          public int getState()

      Specified by:
        `getState` in interface `java.awt.peer.FramePeer`

    - #### setMaximizedBounds

          public void setMaximizedBounds(java.awt.Rectangle bounds)

      Specified by:
        `setMaximizedBounds` in interface `java.awt.peer.FramePeer`

    - #### setBoundsPrivate

          public void setBoundsPrivate(int x,
                              int y,
                              int width,
                              int height)

      Specified by:
        `setBoundsPrivate` in interface `java.awt.peer.FramePeer`

    - #### getBoundsPrivate

          public java.awt.Rectangle getBoundsPrivate()

      Specified by:
        `getBoundsPrivate` in interface `java.awt.peer.FramePeer`

    - #### emulateActivation

          public void emulateActivation(boolean activate)

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.